Setup
/api/v2/setupRetrieve setup status
true if no default user, organization, or bucket have been created.Parameters
Header parameters
Zap-Trace-Span
stringcurl --request GET \
"https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/setup" \
--header "Authorization: Bearer INFLUX_TOKEN"Responses
allowed
booleantrue, the InfluxDB instance hasn’t had initial setup;
false otherwise./api/v2/setupCreate an initial user, organization, and bucket
Parameters
Header parameters
Zap-Trace-Span
stringRequest body required
application/jsonbucket
required
stringlimit
stringorg
required
stringpassword
stringretentionPeriodHrs
integerretentionPeriodSeconds
integerusername
required
stringcurl --request POST \
"https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/setup" \
--header "Authorization: Bearer INFLUX_TOKEN" \
--header "Content-Type: application/json" \
--data-raw '{
"bucket": "BUCKET",
"limit": {},
"org": "ORG",
"password": "PASSWORD",
"retentionPeriodHrs": 0,
"retentionPeriodSeconds": 0,
"username": "USERNAME"
}'Responses
auth
stringbucket
stringorg
stringuser
stringcode
required
stringinternal error
, not implemented
, not found
, conflict
, invalid
, unprocessable entity
, empty value
, unavailable
, forbidden
, too many requests
, unauthorized
, method not allowed
, request too large
, unsupported media typeerr
stringmessage
stringop
string/api/v2/setup/userCreate a new user, organization, and bucket
Request body required
application/jsonbucket
required
stringlimit
stringorg
required
stringpassword
stringretentionPeriodHrs
integerretentionPeriodSeconds
integerusername
required
stringcurl --request POST \
"https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/setup/user" \
--header "Authorization: Bearer INFLUX_TOKEN" \
--header "Content-Type: application/json" \
--data-raw '{
"bucket": "BUCKET",
"limit": {},
"org": "ORG",
"password": "PASSWORD",
"retentionPeriodHrs": 0,
"retentionPeriodSeconds": 0,
"username": "USERNAME"
}'Responses
auth
stringbucket
stringorg
stringuser
stringcode
required
stringinternal error
, not implemented
, not found
, conflict
, invalid
, unprocessable entity
, empty value
, unavailable
, forbidden
, too many requests
, unauthorized
, method not allowed
, request too large
, unsupported media typeerr
stringmessage
stringop
stringWas this page helpful?
Thank you for your feedback!
Support and feedback
Thank you for being part of our community! We welcome and encourage your feedback and bug reports for InfluxDB and this documentation. To find support, use the following resources:
Customers with an annual or support contract can contact InfluxData Support.